"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Command = void 0;
const CommandRegistry_1 = __importDefault(require("../CommandRegistry"));
function Command(signature, descriptionOrOptions, optionsOrNothing) {
    const description = typeof descriptionOrOptions === 'string' ? descriptionOrOptions : '';
    const options = typeof descriptionOrOptions === 'string'
        ? optionsOrNothing
        : descriptionOrOptions;
    return function (target) {
        CommandRegistry_1.default.register({
            target,
            signature,
            description,
            options,
        });
    };
}
exports.Command = Command;
//# sourceMappingURL=Command.js.map